Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1119164 - Review Request: perl-URL-Encode-XS - XS implementation of URL::Encode
Summary: Review Request: perl-URL-Encode-XS - XS implementation of URL::Encode
Keywords:
Status: CLOSED DUPLICATE of bug 1181321
Alias: None
Deadline: 2014-11-30
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Dick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-07-14 07:45 UTC by Christopher Meng
Modified: 2015-01-12 21:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-12 21:17:36 UTC


Attachments (Terms of Use)

Description Christopher Meng 2014-07-14 07:45:42 UTC
Spec URL: http://us-la.cicku.me/perl-URL-Encode-XS.spec
SRPM URL: http://us-la.cicku.me/perl-URL-Encode-XS-0.03-1.fc22.src.rpm
Description: This package implements the original URL::Encode via XS interface. The main URL::Encode package will use this package automatically if it can find it. Do not use this package directly, use URL::Encode instead.
Fedora Account System Username: cicku

Comment 1 David Dick 2014-07-16 11:36:28 UTC
License is correct

The following BRs need to be addded

BR perl(base) in inc/Module/Install/ReadmeFromPod.pm at line 7
BR perl(Config) in "inc/Module/Install/Compiler.pm" at line 29
BR perl(Cwd) in "inc/Module/Install.pm" at line 22
BR perl(Fcntl) in "inc/Module/Install/Makefile.pm" at line 7
BR perl(File::Basename) in "inc/Module/Install/Compiler.pm" at line 5
BR perl(File::Find) in "inc/Module/Install.pm" at line 23
BR perl(File::Path) in "inc/Module/Install.pm" at line 24
BR perl(utf8) in "t/010_basic.t" at line 45
BR perl(vars) in "inc/Module/Install.pm" at line 26
BR perl(ExtUtils::MM_Unix) in "inc/Module/Install/Metadata.pm" at line 323
BR perl(File::Spec) in "inc/Module/Install/Can.pm" at line 40
BR perl(FindBin) in "inc/Module/Install.pm" at line 237

BR (and runtime) perl(Carp) is un-necessary and may be removed
BR (and runtime) perl(URL::Encode) is un-necessary and should be removed (otherwise an un-necessary circular dependency will be created)

The dev directory may be added to %doc 

package currently fails to build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=7150623

Comment 2 David Dick 2014-11-08 06:10:11 UTC
Hi Christopher,

Any news on this one?  I'm quite keen to get this package built so Dancer2 can be packaged up.

Comment 3 David Dick 2014-12-14 05:34:41 UTC
Just a ping for this one.

Comment 4 Emmanuel Seyman 2015-01-05 16:37:15 UTC
David, given that Christopher's last action on this bug is from July 2014, I think we're better off applying the policy for stalled reviews: https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Once we close this ticket, you can submit the package yourself, I'll be glad to review and we can move forward on getting Dancer2 in Fedora.

Comment 5 David Dick 2015-01-05 20:06:38 UTC
Yup.

Hi Christopher,

As per policy, unless you can respond in a week, i'll close this as a stalled review.

Comment 6 David Dick 2015-01-12 21:17:36 UTC

*** This bug has been marked as a duplicate of bug 1181321 ***


Note You need to log in before you can comment on or make changes to this bug.